/* SPDX-License-Identifier: GPL-2.0 WITH Linux-syscall-note */

#ifndef BASLER_CAMERA_DRIVER_MEMORY_XX_H
#define BASLER_CAMERA_DRIVER_MEMORY_XX_H

#include <linux/i2c.h>

#include "basler-camera-driver.h"
#include "device.h"

int basler_ra_copy_from_userspace(struct register_access *ra_dst,
				  struct register_access const __user *ra_src);
int basler_ra_32_copy_from_userspace(
	struct register_access_32 *ra_dst,
	struct register_access_32 const __user *ra_src);

int basler_probe_32bit_capability(struct i2c_client *client);

int basler_rw_memory_16bit(struct basler_camera_dev *sensor,
			   struct register_access *ra_p);
int basler_rw_memory_32bit(struct basler_camera_dev *sensor,
			   struct register_access_32 *ra_p);

int basler_read_memory_raw_16bit(struct i2c_client *client, u8 *buffer,
				 u16 bytes_to_read, __be16 register_address);
int basler_read_memory_raw_32bit(struct i2c_client *client, u8 *buffer,
				 u16 bytes_to_read, __be32 register_address);

#endif /* BASLER_CAMERA_DRIVER_MEMORY_XX_H */
