/* SPDX-License-Identifier: GPL-2.0 WITH Linux-syscall-note */

#ifndef BASLER_CAMERA_NVIDIA_SUPPORT_H
#define BASLER_CAMERA_NVIDIA_SUPPORT_H

#if defined(CONFIG_ARCH_TEGRA_186_SOC) ||                                      \
	defined(CONFIG_ARCH_TEGRA_194_SOC) ||                                  \
	defined(CONFIG_ARCH_TEGRA_210_SOC) ||                                  \
	defined(CONFIG_ARCH_TEGRA_234_SOC)
#define NVIDIA_BUILD

#include <media/camera_common.h>
#include "device.h"

#endif


#ifdef NVIDIA_BUILD
int
basler_set_common_data_for_nvidia(struct device *dev,
				  struct basler_camera_dev *sensor,
				  struct camera_common_data *common_data);

void
basler_camera_set_default_format_for_nvidia(struct basler_camera_dev *sensor);

#endif

#endif /* BASLER_CAMERA_NVIDIA_SUPPORT_H */
